/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cd.hologram.erecettesvg.sql;

/**
 *
 * @author gauthier.muata
 */
public class SQLQueryAcquitLiberatoire {

    public static String LIST_NOTES_CALCUL_FOR_EDIT = "SELECT NC.* FROM T_NOTE_CALCUL NC WITH (READPAST) WHERE NC.ETAT = 1"
            + " AND NC.FK_ADRESSE_PERSONNE IN (SELECT DISTINCT AP.CODE FROM T_ADRESSE_PERSONNE AP"
            + " WHERE AP.PAR_DEFAUT = 1) %s %s %s AND NOT NC.AGENT_CLOTURE IS NULL AND "
            + " NOT NC.DATE_CLOTURE IS NULL AND NC.AGENT_VALIDATION IS NOT NULL "
            + " AND NC.NUMERO IN (SELECT DISTINCT NP.NOTE_CALCUL FROM T_NOTE_PERCEPTION NP "
            + " WHERE NP.NUMERO NOT IN (SELECT DISTINCT CPI.NOTE_PERCEPTION FROM T_ACQUIT_LIBERATOIRE CPI) "
            + " AND NP.COMPTE_BANCAIRE IS NOT NULL AND NP.NBR_IMPRESSION > 0) ORDER BY NC.NUMERO DESC";

    public static String AND_SEARCH_BY_NAME = " AND DBO.F_GET_PERSONNE_NAME(NC.PERSONNE) LIKE ?1 ";

    public static String AND_SEARCH_BY_NP = " AND NC.NUMERO IN (SELECT DISTINCT NOTE_CALCUL FROM T_NOTE_PERCEPTION WHERE NUMERO = ?1) ";

    public static String AND_SEARCH_BY_SITE = " AND NC.SITE = '%s'"
            + " AND NC.SITE IN (SELECT DISTINCT AST.CODESITE FROM T_AGENT_SITE AST WITH (READPAST)"
            + " WHERE AST.CODEAGENT = %s AND AST.ETAT = 1) ";

    public static String AND_SEARCH_BY_SERVICE = " AND NC.SERVICE = '%s' ";

    public static String GET_ARTICLE_BUDGETAIRE_BY_NC = "SELECT TOP 1 AB.* FROM T_ARTICLE_BUDGETAIRE AB WITH (READPAST) WHERE AB.CODE IN (SELECT "
            + " DISTINCT ARTICLE_BUDGETAIRE FROM T_DETAILS_NC WHERE NOTE_CALCUL = ?1 AND ETAT = 1) "
            + " AND AB.ETAT = 1";

    public static String GET_LIST_PERIODICITE = "SELECT * FROM T_PERIODICITE WITH (READPAST) WHERE ETAT = 1";

    public static String GET_NOTE_PERCEPTION_BY_NC = "SELECT * FROM T_NOTE_PERCEPTION WITH (READPAST) WHERE NOTE_CALCUL = ?1";

    public static String GET_ETAT_SOLDE_PAIEMENT_BY_NC = "SELECT ABS(SUM(CREDIT))  CREDIT, ABS(SUM(DEBIT))  "
            + "DEBIT, SUM(CREDIT) - SUM(DEBIT)  SOLDE FROM T_SUIVI_COMPTABLE_DECLARATION WHERE NC = ?1";

    public static String GET_COMPTE_BANCAIRE_BY_CODE = "SELECT * FROM T_COMPTE_BANCAIRE WITH (READPAST) WHERE CODE = ?1 AND ETAT IN (0,1)";

    public static String GET_NOTE_PERCEPTION_MERE_BY_NC = "SELECT NP.* FROM T_NOTE_PERCEPTION NP WITH (READPAST) "
            + " WHERE NP.NP_MERE = ?1 AND NP.NUMERO IN (SELECT DISTINCT J.DOCUMENT_APURE FROM T_JOURNAL J WITH (READPAST))";

    public static String LIST_JOURNAL_BY_DOCUMENT_APURE = "SELECT * FROM T_JOURNAL J WITH (READPAST) WHERE ETAT = 1 AND J.DOCUMENT_APURE = ?1";

    public static String GET_FICHE_PRISE_CHARGE_BY_NC_1 = "SELECT  TOP 1 FP.* FROM T_FICHE_PRISE_CHARGE FP WITH (READPAST) WHERE FP.CODE "
            + "IN(SELECT DISTINCT DFP.FICHE_PRISE_CHARGE FROM T_DETAIL_FICHE_PRISE_CHARGE DFP WITH (READPAST) WHERE DFP.NC = ?1)";

    public static String GET_FICHE_PRISE_CHARGE_BY_NC_2 = "SELECT  TOP 1 FP.* FROM T_FICHE_PRISE_CHARGE FP WITH (READPAST) WHERE "
            + " FP.CODE IN(SELECT DISTINCT DFP.FICHE_PRISE_CHARGE FROM T_DETAIL_FICHE_PRISE_CHARGE DFP WITH (READPAST) "
            + " WHERE DFP.PERIODE_DECLARATION IN (SELECT PD.ID FROM T_PERIODE_DECLARATION PD WITH (READPAST) "
            + " WHERE PD.NOTE_CALCUL = ?1))";

    public static String GET_AMR_BY_NC_1 = "SELECT A.* FROM T_AMR A WHERE A.FICHE_PRISE_CHARGE IN (SELECT DISTINCT CODE "
            + " FROM T_FICHE_PRISE_CHARGE) AND A.FICHE_PRISE_CHARGE IN (SELECT DISTINCT DFC.FICHE_PRISE_CHARGE "
            + " FROM T_DETAIL_FICHE_PRISE_CHARGE DFC WHERE DFC.NC = ?1) "
            + " AND  A.NUMERO IN (SELECT DISTINCT DOCUMENT_APURE FROM T_JOURNAL)";

    public static String GET_AMR_BY_NC_2 = "SELECT A.* FROM T_AMR A WHERE A.FICHE_PRISE_CHARGE IN (SELECT DISTINCT CODE "
            + " FROM T_FICHE_PRISE_CHARGE) AND A.FICHE_PRISE_CHARGE IN (SELECT DISTINCT DFC.FICHE_PRISE_CHARGE "
            + " FROM T_DETAIL_FICHE_PRISE_CHARGE DFC WHERE DFC.PERIODE_DECLARATION IN (SELECT ID "
            + " FROM T_PERIODE_DECLARATION)) AND A.NUMERO IN (SELECT DISTINCT DOCUMENT_APURE "
            + " FROM T_JOURNAL ) AND A.NOTE_CALCUL = ?1";

    public static String JOURNAL_BY_DOCUMENT_APURE = "SELECT TOP 1 * FROM T_JOURNAL J  WHERE ETAT NOT IN(0,4) "
            + "AND J.DOCUMENT_APURE  = ?1 ORDER BY CODE DESC";

    public static String LIST_SUIVI_COMPTABLE_BY_NC = "SELECT * FROM T_SUIVI_COMPTABLE_DECLARATION WITH "
            + "(READPAST) WHERE NC = ?1";

    public static String GET_NOTE_PERCEPTION_BY_NUMERO = "SELECT * FROM T_NOTE_PERCEPTION WHERE NUMERO = ?1";

}
